
Redmine - Defect #4407

Accept emails from anyone on a private project

2009-12-15 20:00 - Thomas Pihl

Status: Closed Start date: 2009-12-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed Affected version:  

Description

Is that a fair assumption? I hope not since I'm setting up a mail gateway into a non-public project where I want to use anonymous as

creator of issue (--unknown_user accept).

Isn't it enough to check the actual checkboxes on the role to see if they are allowed to create issue (or see one)? Anon users will not

be able to see things through web interface anyhow.

Older than devel versions allowed things "my way" but I assume refactoring on security-models tightend this a bit.

Related issues:

Related to Redmine - Feature #2230: Issue creation via email from anyone with... New 2008-11-26

Has duplicate Redmine - Feature #3584: Allow creating of issues in private pr... Closed 2009-07-04

Associated revisions

Revision 3195 - 2009-12-19 15:08 - Jean-Philippe Lang

Adds a 'no_permission_check' option to the MailHandler.

Used with the 'project' option, it allows anyone to submit emails to a private inbox project (#4407).

History

#1 - 2009-12-19 15:05 - Jean-Philippe Lang

- Subject changed from Role Anonymous seem to require public project to Accept emails from anyone on a private project

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r3195. You can now use a 'no_permission_check' option.

For example:

rdm-mailhandler --unknown_user accept --no-permission-check --project=foo

 will let anyone submit emails to your private project foo.
